Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.order
Interface OrderManager

Deprecated. The OrderManger interface has been deprecated and will not be supported in version 2.0

                      orderIdGenerator
     [OrderManager] <>------> [theory.smart.axiom.util.AlphaNumericSequencer]

public interface OrderManager
extends Session

The OrderManager represents a specialized Home for Order Entities. It simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object. It uses a sequencer to generate unique order Ids. It allows the user to specify their own sequencer. If the specifed sequencer does not exist, it creates it, and then uses it. SequencerHome - Specifies the JNDI name for allocating Aphanumeric Sequence. The default is theory.smart.axiom.util.AlphaNumericSequencer OrderPrefix - Specifies the Prefix for allocating Order. Default is "web-x-0" OrderSuffix - Specifies the Suffix for allocating Order. Default is "-bbdc "

See Also:
  `OrderManagerHome`, `OrderManagerImpl`

Method Summary
`Order` | `createOrder()` Deprecated. Simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object.
`void` | `deleteOrder(Order order)` Deprecated. Invokes the remove operator on the Order.
`Order` | `findOrder(java.lang.String key)` Deprecated. Find an order given the specified key and return it.
`AlphaNumericSequencer` | `getOrderIdGenerator()` Deprecated. Get the remote object reference of orderIdGenerator
`void` | `setOrderIdGenerator(AlphaNumericSequencer orderIdGenerator)` Deprecated. Set the remote object reference of orderIdGenerator
`void` | `setOrderIdGenerator(java.lang.String sequencerKey)` Deprecated. Allow the user to control the key generation alogorithm by substituting an alternative sequencer.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getOrderIdGenerator

    public AlphaNumericSequencer getOrderIdGenerator()
                                              throws java.rmi.RemoteException

  Deprecated.
  Get the remote object reference of orderIdGenerator
  Returns:
    orderIdGenerator.

### setOrderIdGenerator

    public void setOrderIdGenerator(AlphaNumericSequencer orderIdGenerator)
                             throws java.rmi.RemoteException

  Deprecated.
  Set the remote object reference of orderIdGenerator
  Parameters:
    `orderIdGenerators` - orderIdGenerator to be added

### createOrder

    public Order createOrder()
                      throws java.rmi.RemoteException

  Deprecated.
  Simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object.

### deleteOrder

    public void deleteOrder(Order order)
                     throws java.rmi.RemoteException

  Deprecated.
  Invokes the remove operator on the Order. Delete order will not allow the destruction of an order that has been finalized and is thus associated with an invoice. To do so would be to create a dangling reference.

### findOrder

    public Order findOrder(java.lang.String key)
                    throws java.rmi.RemoteException,
                           FinderException

  Deprecated.
  Find an order given the specified key and return it.

### setOrderIdGenerator

    public void setOrderIdGenerator(java.lang.String sequencerKey)
                             throws java.rmi.RemoteException

  Deprecated.
  Allow the user to control the key generation alogorithm by substituting an alternative sequencer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.